#pragma once

namespace hibis {
	// Structs
	// - Image
	/// RGBA value struct. Value is between 0 and 255
	struct Color {
		unsigned char r, g, b, a;
	};

	// - 2D
	/// Defines a point within a 2D space.
	struct Point2D {
		float x, y;
	};

	/// Defines a given area.
	struct Rect {
		float x, y, w, h;
	};

	/// Integer variation of Rect.
	struct IntRect {
		int x, y, w, h;
	};

	/// X and Y values using floats.
	struct Vec2 {
		float x, y;
	};

	/// X and Y values using integers.
	struct IntVec2 {
		int x, y;
	};

	// - Functions
	// TODO: Functions
}